@import url("https://fonts.googleapis.com/css2?family=Outfit:wght@100..900&display=swap");

:root {
  --white: hsl(0, 0%, 100%);
  --light-gray: hsl(212, 45%, 89%);
  --grayish-blue: hsl(220, 15%, 55%);
  --dark-blue: hsl(218, 44%, 22%);
}

* {
  margin: 0;
  padding: 0;
  font-family: "Outfit", sans-serif;
}

html {
  width: 100vw;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: var(--light-gray);
}

.qr-code {
  width: 320px;
  height: 497px;
  display: flex;
  flex-direction: column;
  align-items: center;
  background-color: var(--white);
  border-radius: 20px;
}

.qr-code img {
  margin: 16px 16px 24px 16px;
  border-radius: 10px;
}

.qr-code h1,
.qr-code p {
  width: 80%;
  text-align: center;
}

.qr-code h1 {
  font-size: 22px;
  font-weight: 700;
  color: var(--dark-blue);
  margin-bottom: 15px;
}

.qr-code p {
  font-size: 15px;
  font-weight: 400;
  color: var(--grayish-blue);
}

.attribution {
  width: 100%;
  font-size: 11px;
  text-align: center;
  position: fixed;
  bottom: 0;
  left: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 50px;
  z-index: 1000;
}

.attribution a {
  color: hsl(228, 45%, 44%);
}
